#include<bits/stdc++.h>
using namespace std;

bool neo(vector<int> nums) {
    for (int i = 1; i < nums.size(); i++) {
        if (nums[i] < nums[i-1]) {
            return false;
        }
    }
    return true;
}

int main() {
    int n, q;
    cin >> n;
    vector<int> nums(n);
    for (int i = 0; i < n; i++) {
        cin >> nums[i];
    }
    cin >> q;
    while (q--) {
        int l, r;
        cin >> l >> r;
        vector<int> sub(nums.begin() + l - 1, nums.begin() + r);
        cout << (neo(sub) ? "DA" : "NE") << endl;
    }
    return 0;
}